/*************************************************************************
 * Copyright (c) 2022-2026, NVIDIA CORPORATION & AFFILIATES. All rights reserved.
 *
 * See LICENSE for license information.
 ************************************************************************/

#include "../extensions.h"

namespace transformer_engine::pytorch {

#ifdef USE_ROCM
size_t get_cublasLt_version() { int version = 10000000; return version; }

size_t get_cudnn_version() { int version = 0; return version; }
#else
size_t get_cublasLt_version() { return cublasLtGetVersion(); }

size_t get_cudnn_version() { return cudnnGetVersion(); }
#endif

}  // namespace transformer_engine::pytorch
